Try Now
More in this section

Forums / Sitefinity SDK / Upgrade Issues

Upgrade Issues

3 posts, 0 answered
  1. Jerami Tainter
    Jerami Tainter avatar
    27 posts
    29 Oct 2009
    22 Apr 2011
    Link to this post
    Ok so Im confused...i just upgraded from 4.0 to 4.1 and now im getting an error:

    Could not load file or assembly 'Telerik.Sitefinity, Version=4.1.1339.0

    I look at the dll version and it does not match 4.1.1339.0 its still the 4.0.whatever. But then I read that the Sitefinity SDK wasn't updated? Anyone else have this issue? What exactly did I do wrong during the upgrade process?  I downloaded the new Project Manager...saw my project...clicked Upgrade and tried to run.
  2. Gabe Sumner
    Gabe Sumner avatar
    440 posts
    09 Sep 2007
    22 Apr 2011
    Link to this post
    This probably just means the project's assembly references are out of date.

    You'll likely need to remove the 'Telerik.Sitefinity' reference and then re-add a reference to the Telerik.Sitefinity.dll that sits in the project's ~/bin folder.  It's also very likely that you'll get this error for other references after fixing this reference.  I normally just remove all references to any 'Telerik.*' assemblies and then re-add references to the files in the Sitefinity ~/bin folder.

    If this message made no sense, let me know and I'll try to explain it better.

    Gabe Sumner
    Telerik | Sitefinity CMS

  3. Victor Velev
    Victor Velev avatar
    1345 posts
    06 Jul 2015
    25 Apr 2011
    Link to this post
    Hi Jerami ,

    The error you get indicates mismatch of the assembly references. Please make sure that your project has correct references to the new dlls. If you have custom class libraries, please add the proper references.

    The SDK for 4.1 is still work in progress and it will be released soon. 

    Victor Velev
    the Telerik team

    Explore the entire Telerik portfolio by downloading the Ultimate Collection trial package. Get now >>

3 posts, 0 answered